- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_array_list.h File Reference

Axis2 array_list interface. More...

`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`

Go to the source code of this file.

## Typedefs
typedef struct axutil_array_list | axutil_array_list_t
## Functions
AXIS2_EXTERN axutil_array_list_t * | axutil_array_list_create (const axutil_env_t *env, int capacity)
AXIS2_EXTERN void | axutil_array_list_free_void_arg (void *array_list, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_array_list_ensure_capacity (struct axutil_array_list *array_list, const axutil_env_t *env, int min_capacity)
AXIS2_EXTERN int | axutil_array_list_size (struct axutil_array_list *array_list, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axutil_array_list_is_empty (struct axutil_array_list *array_list, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axutil_array_list_contains (struct axutil_array_list *array_list, const axutil_env_t *env, void *e)
AXIS2_EXTERN int | axutil_array_list_index_of (struct axutil_array_list *array_list, const axutil_env_t *env, void *e)
AXIS2_EXTERN void * | axutil_array_list_get (struct axutil_array_list *array_list, const axutil_env_t *env, int index)
AXIS2_EXTERN void * | axutil_array_list_set (struct axutil_array_list *array_list, const axutil_env_t *env, int index, void *e)
AXIS2_EXTERN axis2_status_t | axutil_array_list_add (struct axutil_array_list *array_list, const axutil_env_t *env, const void *e)
AXIS2_EXTERN axis2_status_t | axutil_array_list_add_at (struct axutil_array_list *array_list, const axutil_env_t *env, const int index, const void *e)
AXIS2_EXTERN void * | axutil_array_list_remove (struct axutil_array_list *array_list, const axutil_env_t *env, int index)
AXIS2_EXTERN axis2_bool_t | axutil_array_list_check_bound_inclusive (struct axutil_array_list *array_list, const axutil_env_t *env, int index)
AXIS2_EXTERN axis2_bool_t | axutil_array_list_check_bound_exclusive (struct axutil_array_list *array_list, const axutil_env_t *env, int index)
AXIS2_EXTERN void | axutil_array_list_free (struct axutil_array_list *array_list, const axutil_env_t *env)

## Detailed Description

Axis2 array_list interface.